// 002 u_rad_html_designer
// 10 apr 2007

// -- (C) Felix John COLIBRI 2007
// -- documentation: http://www.felix-colibri.com

(*$r+*)

unit u_rad_html_designer;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, FileCtrl, ExtCtrls, ComCtrls, OleCtrls, SHDocVw, jpeg;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    exit_: TButton;
    clear_: TButton;
    PageControl1: TPageControl;
    display_: TTabSheet;
    Memo1: TMemo;
    designer_: TTabSheet;
    design_panel_: TPanel;
    browser_: TTabSheet;
    WebBrowser1: TWebBrowser;
    html_: TTabSheet;
    Panel_100: TPanel;
    html_memo_: TMemo;
    Panel_101: TPanel;
    panel_10: TPanel;
    Memo5: TMemo;
    Memo6: TMemo;
    Memo7: TMemo;
    panel_11: TPanel;
    Memo2: TMemo;
    Panel_102: TPanel;
    Panel6: TPanel;
    pascal_institute_2_jpg: TImage;
    Panel7: TPanel;
    Label2: TLabel;
    Panel8: TPanel;
    Panel10: TPanel;
    Memo3: TMemo;
    Memo4: TMemo;
    Edit1: TEdit;
    Button1: TButton;
    Panel9: TPanel;
    analyze_: TButton;
    browse_: TButton;
    procedure FormCreate(Sender: TObject);
    procedure exit_Click(Sender: TObject);
    procedure clear_Click(Sender: TObject);
    procedure analyze_Click(Sender: TObject);
    procedure browse_Click(Sender: TObject);
  private
  public
  end;

var
  Form1: TForm1;

implementation
  uses u_types_constants, u_c_log, u_c_display
      , u_exe
      , u_strings
      , u_c_rad_html_generator
      ;

    {$R *.DFM}

   
    // -- events

    procedure TForm1.FormCreate(Sender: TObject);
      begin
        initialize_display(Memo1.Lines);
        initialize_default_log;
      end; // FormCreate

    procedure TForm1.exit_Click(Sender: TObject);
      begin
        Close;
      end; // exit_Click

    procedure TForm1.clear_Click(Sender: TObject);
      begin
        clear_display;
      end; // clear_Click

    procedure TForm1.analyze_Click(Sender: TObject);
      begin
        with design_panel_, c_rad_html_generator.create_rad_html_generator('gen') do
        begin
          generate_page(design_panel_);
          save_to_file(f_exe_path+ 'result.html');

          html_memo_.Lines.Assign(m_c_result_list);

          Free;
        end; // with design_panel_, c_html_generator
      end; // analyze_Click

    procedure TForm1.browse_Click(Sender: TObject);
      var l_file_name: String;
          l_browser_flag: OLEVariant;
      begin
        l_file_name:=
            f_exe_path+ 'result.html';

        l_browser_flag := 0;
        PageControl1.ActivePage:= browser_;

        WebBrowser1.Navigate(WideString(l_file_name),
            l_browser_flag, l_browser_flag, l_browser_flag, l_browser_flag);
    end; // load_and_render_Click

end.


